﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.KuaKe
{
    /// <summary>
    /// 夸克推广资料
    /// </summary>
    [Table(Name = "ditui_kuake_Info")]
    public class KuaKeEntity : EntityTenant
    {
        /// <summary>
        /// 夸克Id
        /// </summary>
        public string KuaKeID { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>        
        [Column(DbType = "nvarchar(20)")]
        public string Name { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        [Column(DbType = "varchar(11)")]
        public string Phone { get; set; }
        /// <summary>
        /// 行业
        /// </summary>        
        [Column(DbType = "nvarchar(20)")]
        public string Industry { get; set; }
        /// <summary>
        /// 推广平台
        /// </summary>
        [Column(StringLength = 100)]
        public string Platfrom { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public long UserId { get; set; }
        /// <summary>
        ///状态 1未报备 2报备成功 3报备失败
        /// </summary>
        public int Status { get; set; } = 1;
        /// <summary>
        /// 项目Id
        /// </summary>        
        public long ProjectId { get; set; }
    }    
}
